> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document Status in Batch

> Enable, disable, archive, or unarchive multiple documents at once.



## OpenAPI

````yaml /en/api-reference/openapi_knowledge.json patch /datasets/{dataset_id}/documents/status/{action}
openapi: 3.0.1
info:
  title: Knowledge API
  description: >-
    API for managing knowledge bases, documents, chunks, metadata, and tags,
    including creation, retrieval, and configuration. **Note:** A single
    Knowledge Base API key has permission to operate on all visible knowledge
    bases under the same account. Please pay attention to data security.
  version: 1.0.0
servers:
  - url: '{apiBaseUrl}'
    description: The base URL for the Knowledge API.
    variables:
      apiBaseUrl:
        default: https://api.dify.ai/v1
        description: Actual base URL of the API
security:
  - ApiKeyAuth: []
tags:
  - name: Knowledge Bases
    description: >-
      Operations for managing knowledge bases, including creation,
      configuration, and retrieval.
  - name: Documents
    description: >-
      Operations for creating, updating, and managing documents within a
      knowledge base.
  - name: Chunks
    description: Operations for managing document chunks and child chunks.
  - name: Metadata
    description: >-
      Operations for managing knowledge base metadata fields and document
      metadata values.
  - name: Tags
    description: Operations for managing knowledge base tags and tag bindings.
  - name: Models
    description: Operations for retrieving available models.
  - name: Knowledge Pipeline
    description: >-
      Operations for managing and running knowledge pipelines, including
      datasource plugins and pipeline execution.
paths:
  /datasets/{dataset_id}/documents/status/{action}:
    patch:
      tags:
        - Documents
      summary: Update Document Status in Batch
      description: Enable, disable, archive, or unarchive multiple documents at once.
      operationId: batchUpdateDocumentStatus
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Knowledge base ID.
        - name: action
          in: path
          required: true
          schema:
            type: string
            enum:
              - enable
              - disable
              - archive
              - un_archive
          description: >-
            `enable` to activate, `disable` to deactivate, `archive` to archive,
            `un_archive` to restore from archive.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - document_ids
              properties:
                document_ids:
                  type: array
                  items:
                    type: string
                  description: List of document IDs to update.
      responses:
        '200':
          description: Documents updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: Operation result.
              examples:
                success:
                  summary: Response Example
                  value:
                    result: success
        '400':
          description: '`invalid_action` : Invalid action.'
          content:
            application/json:
              examples:
                invalid_action:
                  summary: invalid_action
                  value:
                    status: 400
                    code: invalid_action
                    message: Invalid action.
        '403':
          description: '`forbidden` : Insufficient permissions.'
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden
                  value:
                    status: 403
                    code: forbidden
                    message: Insufficient permissions.
        '404':
          description: '`not_found` : Knowledge base not found.'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Dataset not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key authentication. For all API requests, include your API Key in
        the `Authorization` HTTP Header, prefixed with `Bearer `. Example:
        `Authorization: Bearer {API_KEY}`. **Strongly recommend storing your API
        Key on the server-side, not shared or stored on the client-side, to
        avoid possible API-Key leakage that can lead to serious consequences.**

````